%define 	module	tracing
Summary:	Python debug logging helper
Name:		python-%{module}
Version:	0.9
Release:	1
License:	GPL v3+
Group:		Libraries/Python
Source0:	http://code.liw.fi/debian/pool/main/p/python-%{module}/%{name}_%{version}.orig.tar.xz
# Source0-md5:	2161ae40f27194848426e04e3abd6488
URL:		http://liw.fi/tracing
BuildRequires:	python-Sphinx
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Python library tracing helps with logging debug messages. It
provides a couple of functions for logging debug messages, and allows
the user to enable or disable logging for particular code modules.

It is sometimes practical to add a lot of debugging log messages to a
program, but having them enabled all the time results in very large
log files. Also, logging that much takes quite a bit of time.

This module provides a way to turn such debugging or tracing messages
on and off, based on the filename they occur in. The logging can that
be left in the code, and only enabled when it is needed.

%package doc
Summary:	Documentation for %{module}
Requires:	%{name} = %{version}-%{release}

%description doc
This package contains the documentation for %{module}, a Python debug
logging helper.

%prep
%setup -q

%build
%py_build

# Build documentation
%{__make} -C doc html

%install
rm -rf $RPM_BUILD_ROOT
%py_install

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc NEWS README
%{py_sitescriptdir}/tracing.py[co]
%{py_sitescriptdir}/tracing-%{version}-py*.egg-info

%files doc
%defattr(644,root,root,755)
%doc doc/_build/html/* example.py
%changelog
* Thu Nov 08 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-tracing.git;a=log;h=master

* Thu Nov 08 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e01d345
- up to 0.9

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> cf45cc6
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> a045859
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> 82e58ac
- automatic change: use py_build/py_install macros

* Mon Jan 20 2014 Elan Ruusamäe <glen@delfi.ee> e00f5a4
- new, version 0.8

